## ----echo=FALSE----------------------------------------------------------
require(Hmisc)
knitrSet('longit')
read_chunk('shared.R')

## ----spaghetti,h=5,w=7,cap='Time profiles for individual subjects, stratified by study site and dose'----

## ----quartiles,cap='Quartiles of \\co{TWSTRS} stratified by dose',w=5,h=4----

## ----bootcls,cap='Mean responses and nonparametric bootstrap 0.95 confidence limits for population means, stratified by dose',w=5,h=4----

## ----e-------------------------------------------------------------------

## ----k-------------------------------------------------------------------
anova(z[[1]],z[[2]],z[[3]],z[[4]],z[[5]],z[[6]])

## ----l,results='asis'----------------------------------------------------

## ----variogram,cap='Variogram, with assumed correlation pattern superimposed'----

## ----resid,h=6,w=7.5,cap='Three residual plots to check for absence of trends in central tendency and in variability.  Upper right panel shows the baseline score on the $x$-axis.  Bottom left panel shows the mean $\\pm 2\\times$SD.  Bottom right  panel is the QQ plot for checking normality of residuals from the GLS fit.'----

## ----m,results='asis'----------------------------------------------------

## ----anova,cap='Results of \\co{anova.rms} from generalized least squares fit with continuous time AR1 correlation structure',scap=NA----

## ----pleffects,h=5.5,w=7,cap='Estimated effects of time, baseline TWSTRS, age, and sex'----

## ----o,results='asis'----------------------------------------------------

## ----p-------------------------------------------------------------------

## ----q-------------------------------------------------------------------

## ----contrasts,h=4,w=6,cap='Contrasts and 0.95 confidence limits from GLS fit'----

## ----nomogram,h=6.5,w=7.5,cap='Nomogram from GLS fit.  Second axis is the baseline score.'----

